{% extends 'base.html' %}

{% block title %}
    Scrumptious Recipes
{% endblock title %}

{% block content %}
<div class="wrapper">
    <header>
        <nav>
            <a href="{% url 'recipe_list' %}">Main page</a>
            <a href="{% url 'create_recipe' %}">Create a recipe</a>

            {% if user.is_authenticated %}
                Hello, {{ user.username }}
            {% else %}
                <a href="{% url 'signup' %}">Sign up</a>
            {% endif %}
        </nav>
    </header>
    <main class="main-list">
        <h1>Scrumptious Recipes</h1>
        <h2>All the food that's fit to eat</h2>
        <section class="menu">
            {% for recipe in recipe_list %}
                <div>
                    <h3>
                        <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
                    </h3>
                    <p>Created on: {{ recipe.created_on|date:'j M Y' }}</p>
                    <img src="{{ recipe.picture }}">
                    <div>4.3 stars</div>
                </div>
            {% empty %}
                <p>There are no recipes.</p>
            {% endfor %}
        </section>
    </main>
</div>
{% endblock content %}
